//+------------------------------------------------------------------+
//|                                                                  |
//|                                                                  |
//+------------------------------------------------------------------+
//2009fxtsd macd_multiSymbol var.mq4

#property copyright ""
#property link      ""

#property indicator_separate_window
#property indicator_buffers    2
#property indicator_color1     Blue
#property indicator_color2     Red

#property indicator_width1     2
#property indicator_style2     2



extern int FastMA_Period=12;
extern int SlowMA_Period=26;
extern int SignalMA_Period=9;

extern string  note_MA_Mode =  "SMA=0 EMA=1 SMMA=2 LWMA=3";
extern int FastMA_Mode=1;
extern int SlowMA_Mode=1;
extern int SignalMA_Mode=0;

extern string  note_AppliedPrice = "0=C,1=O 2=H3L,4=Md 5=Tp 6=WghC: Md(HL/2)4,Tp(HLC/3)5,Wgh(HLCC/4)6";
extern int FastMA_Price=0;
extern int SlowMA_Price=0;

extern string  note_symbol = "enter EURUSD or GBPUSD etc; default-currSymbol";
extern string symbol;





double buffer1[];
double buffer2[];


//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+

int init()
{

   
   SetIndexBuffer(0,buffer1);
   SetIndexBuffer(1,buffer2);
   SetIndexStyle(0, DRAW_HISTOGRAM);

   IndicatorShortName("MACD "+symbol+" ("+FastMA_Period+","+SlowMA_Period+","+SignalMA_Period+")");

   SetIndexLabel(0,"macd");
   SetIndexLabel(1,"sigLn");



   return(0);
}



//---

int deinit()
{
   return(0);
}

//+------------------------------------------------------------------+
//|                                                                  |
//+------------------------------------------------------------------+



int start()
{
   int counted_bars=IndicatorCounted();
   int limit,i;
   
   if(counted_bars<0) return(-1);
   if(counted_bars>0) counted_bars--;
           limit=Bars-counted_bars;


   for(i=limit; i>=0; i--)
   
     buffer1[i]=iMA(symbol,0,FastMA_Period,0,FastMA_Mode,FastMA_Price,i)-
                iMA(symbol,0,SlowMA_Period,0,SlowMA_Mode,SlowMA_Price,i);

   for(i=limit; i>=0; i--)
      
      buffer2[i]=iMAOnArray(buffer1,0,SignalMA_Period,0,SignalMA_Mode,i);


 
 
   
   
   return(0);
}


